com.ihr.xbrl.manage

## Class AbstractRegisterExtraClasses

- java.lang.Object
- - com.ihr.xbrl.manage.AbstractRegisterExtraClasses

- All Implemented Interfaces:
    RegisterExtraClasses
  Direct Known Subclasses:
    RegisterUserObjects

      public abstract class AbstractRegisterExtraClasses
      extends java.lang.Object
      implements RegisterExtraClasses

  The Class AbstractRegisterExtraClasses.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRegisterExtraClasses()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClasses(org.hibernate.cfg.Configuration conf, DbUtil dbUtil)` This method is called during the call to `DbUtil.getSessionFactory(RegisterExtraClasses[])`
    `abstract java.lang.Class<?>[]` | `getClasses()` Must return an array of zero or more classes to be registered in the configuration object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractRegisterExtraClasses

          public AbstractRegisterExtraClasses()

  - ### Method Detail

    - #### addClasses

          public void addClasses(org.hibernate.cfg.Configuration conf,
                        DbUtil dbUtil)

      Description copied from interface: `RegisterExtraClasses`
      This method is called during the call to `DbUtil.getSessionFactory(RegisterExtraClasses[])`
      Specified by:
        `addClasses` in interface `RegisterExtraClasses`
      Parameters:
        `conf` - the Hibernate configuration object
        `dbUtil` - the db util

    - #### getClasses

          public abstract java.lang.Class<?>[] getClasses()

      Must return an array of zero or more classes to be registered in the configuration object.

      In order to make the system independent of the database subsystem, the token "sqlServer", "postgresql" or "oracle" is added to the class package and before the class name during the process of loading the hdm.xml file into the configuration

      Returns:
        Class<?>[]